Subject: RE: [hackers-il] Joel Spokesly - leaking abstractions

From: "Arik Baratz" <[email-masked]>
Date: Tue, 12 Nov 2002 16:52:55 +0200

I think you misinterpreted him.

His wish for hidden complexity is not realistic - and he knows that. The conclusion is that you have to learn the basics before you can use the abstractions, because a hidden complexity - isn't.

-- Arik

> -----Original Message-----
> From: Gilad Ben-Yossef [mailto:[email-masked]]
> Sent: Tuesday, November 12, 2002 4:45 PM
> To: [email-masked]
> Subject: Re: [hackers-il] Joel Spokesly - leaking abstractions
> 
> 
> Arik Baratz wrote:
> > 
> > "In teaching someone about COM programming, it would be 
> nice if I could just teach them how to use the Visual Studio 
> wizards and all the code generation features, but if anything 
> goes wrong, they will not have the vaguest idea what happened 
> or how to debug it and recover from it. I'm going to have to 
> teach them all about IUnknown and CLSIDs and ProgIDS and ... 
> oh, the humanity!"
> > 
> > I so identify.
> > 
> > http://www.joelonsoftware.com/articles/LeakyAbstractions.html
> 
> I never read anything in my life that defined the problem so well and 
> then went on to take the exact opposite conclusion from me sp much as 
> this one.
> 
> He seems to be wishing for a world where you never ever need to look 
> behind the covers to find out how something works. A world of little 
> black perfect boxes - or maybe not so perfect but you're not 
> supposed to 
> look inside and change them anyway because it'll be "waste of 
> time". He 
> seems to be wishing to live in a world where learning to 
> click "OK" in 
> the wizard will be all you need or allowed to do.
> 
> The problem with people like him is they mistake the good habbit of 
> writing as if you don't know what lies behind the curtain to actually 
> not knowing what lies behind the curtain. "You shouldn't be 
> messing with 
> *that*", I can hear him say inside my head. How very 
> Microsoftish of him :-)
> 
> 
> I don't think they are leaky abstractions. They are simply 
> what they are 
> - abstractions, a mental facility to make it simpler for you 
> to think of 
> complex things, not hide the complexity away.
> 
> Gilad.
> 
> 
> To unsubscribe from this group, send an email to:
> [email-masked]
> 
>  
> 
> Your use of Yahoo! Groups is subject to 
http://docs.yahoo.com/info/terms/